SimpleXMLElement::asXML
SimpleXMLElement::children
SimpleXMLElement
PHP Manual

# SimpleXMLElement::attributes

(PHP 5 >= 5.0.1)

SimpleXMLElement::attributes — Identifies an element's attributes

### Description

public SimpleXMLElement SimpleXMLElement::attributes ([ string `$ns` = `NULL` [, bool `$is_prefix` = false ]] )

This function provides the attributes and values defined within an xml tag.

> Note: SimpleXML has made a rule of adding iterative properties to most methods. They cannot be viewed using var_dump() or anything else which can examine objects.

### Parameters

`ns`

  An optional namespace for the retrieved attributes

`is_prefix`

  Default to `FALSE`

### Return Values

Returns a SimpleXMLElement object that can be iterated over to loop through the attributes on the tag.

Returns `NULL` if called on a SimpleXMLElement object that already represents an attribute and not a tag.

### Examples

Example #1 Interpret an XML string

`<?php
$string = <<<XML
<a>
<foo name="one" game="lonely">1</foo>
</a>
XML;
$xml = simplexml_load_string($string);
foreach($xml->foo[0]->attributes() as $a => $b) {
echo $a,'="',$b,"\"\n";
}
?>`

The above example will output:

    name="one"
    game="lonely"

### See Also

- Basic SimpleXML usage

SimpleXMLElement::asXML
SimpleXMLElement::children
SimpleXMLElement
PHP Manual